Package org.elasticsearch.xpack.sql.jdbc

# Enum EsType

java.lang.Object
java.lang.Enum<EsType>
org.elasticsearch.xpack.sql.jdbc.EsType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<EsType>`, `java.lang.constant.Constable`, `java.sql.SQLType`

    public enum EsType
    extends java.lang.Enum<EsType>
    implements java.sql.SQLType

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant | Description
--- | ---
`BINARY` |
`BOOLEAN` |
`BYTE` |
`CONSTANT_KEYWORD` |
`DATE` |
`DATETIME` |
`DOUBLE` |
`FLOAT` |
`GEO_POINT` |
`GEO_SHAPE` |
`HALF_FLOAT` |
`INTEGER` |
`INTERVAL_DAY` |
`INTERVAL_DAY_TO_HOUR` |
`INTERVAL_DAY_TO_MINUTE` |
`INTERVAL_DAY_TO_SECOND` |
`INTERVAL_HOUR` |
`INTERVAL_HOUR_TO_MINUTE` |
`INTERVAL_HOUR_TO_SECOND` |
`INTERVAL_MINUTE` |
`INTERVAL_MINUTE_TO_SECOND` |
`INTERVAL_MONTH` |
`INTERVAL_SECOND` |
`INTERVAL_YEAR` |
`INTERVAL_YEAR_TO_MONTH` |
`IP` |
`KEYWORD` |
`LONG` |
`NESTED` |
`NULL` |
`OBJECT` |
`SCALED_FLOAT` |
`SHAPE` |
`SHORT` |
`TEXT` |
`TIME` |
`UNSUPPORTED` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`java.lang.String` | `getName()` |
`java.lang.String` | `getVendor()` |
`java.lang.Integer` | `getVendorTypeNumber()` |
`static EsType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
`static EsType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NULL

public static final EsType NULL

### UNSUPPORTED

public static final EsType UNSUPPORTED

### BOOLEAN

public static final EsType BOOLEAN

### BYTE

public static final EsType BYTE

### SHORT

public static final EsType SHORT

### INTEGER

public static final EsType INTEGER

### LONG

public static final EsType LONG

### DOUBLE

public static final EsType DOUBLE

### FLOAT

public static final EsType FLOAT

### HALF_FLOAT

public static final EsType HALF_FLOAT

### SCALED_FLOAT

public static final EsType SCALED_FLOAT

### KEYWORD

public static final EsType KEYWORD

### TEXT

public static final EsType TEXT

### CONSTANT_KEYWORD

public static final EsType CONSTANT_KEYWORD

### OBJECT

public static final EsType OBJECT

### NESTED

public static final EsType NESTED

### BINARY

public static final EsType BINARY

### DATE

public static final EsType DATE

### TIME

public static final EsType TIME

### DATETIME

public static final EsType DATETIME

### IP

public static final EsType IP

### INTERVAL_YEAR

public static final EsType INTERVAL_YEAR

### INTERVAL_MONTH

public static final EsType INTERVAL_MONTH

### INTERVAL_YEAR_TO_MONTH

public static final EsType INTERVAL_YEAR_TO_MONTH

### INTERVAL_DAY

public static final EsType INTERVAL_DAY

### INTERVAL_HOUR

public static final EsType INTERVAL_HOUR

### INTERVAL_MINUTE

public static final EsType INTERVAL_MINUTE

### INTERVAL_SECOND

public static final EsType INTERVAL_SECOND

### INTERVAL_DAY_TO_HOUR

public static final EsType INTERVAL_DAY_TO_HOUR

### INTERVAL_DAY_TO_MINUTE

public static final EsType INTERVAL_DAY_TO_MINUTE

### INTERVAL_DAY_TO_SECOND

public static final EsType INTERVAL_DAY_TO_SECOND

### INTERVAL_HOUR_TO_MINUTE

public static final EsType INTERVAL_HOUR_TO_MINUTE

### INTERVAL_HOUR_TO_SECOND

public static final EsType INTERVAL_HOUR_TO_SECOND

### INTERVAL_MINUTE_TO_SECOND

public static final EsType INTERVAL_MINUTE_TO_SECOND

### GEO_POINT

public static final EsType GEO_POINT

### GEO_SHAPE

public static final EsType GEO_SHAPE

### SHAPE

public static final EsType SHAPE

## Method Details

### values

public static EsType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static EsType valueOf​(java.lang.String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

### getName

public java.lang.String getName()

Specified by:
  `getName` in interface `java.sql.SQLType`

### getVendor

public java.lang.String getVendor()

Specified by:
  `getVendor` in interface `java.sql.SQLType`

### getVendorTypeNumber

public java.lang.Integer getVendorTypeNumber()

Specified by:
  `getVendorTypeNumber` in interface `java.sql.SQLType`